# Generated by Django 2.1.7 on 2021-04-05 14:59

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import phonenumber_field.modelfields

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models
from django.db.models import Q

def update_group(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    agent_group, p = Group.objects.get_or_create(name="Agente TI")

    for permission in Permission.objects.filter(content_type__app_label='escalation_ti').filter(Q(content_type__model='escalationmodel') | 
    Q(content_type__model='urldocumentation') | Q(content_type__model='escalationphotomodel')):

        agent_group.permissions.add(permission)

def delete_group(apps, scheme_editor):
    Group = apps.get_model('auth', 'Group')
    group_names = ["Agente TI"]
    
    for name in group_names:
        try:
            Group.objects.filter(name=name).delete()
        except:
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('escalation_ti', '0007_auto_20210409_1209'),
    ]

    operations = [
        migrations.RunPython(update_group, delete_group)
    ]
